Package org.zkoss.zk.ui.impl

## Class AbortByRemoveDesktop

- java.lang.Object
- - org.zkoss.zk.ui.impl.AbortByRemoveDesktop

- All Implemented Interfaces:
    `AbortingReason`

      public class AbortByRemoveDesktop
      extends java.lang.Object
      implements AbortingReason

  The aborting reason when the remove-desktop command is received.
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbortByRemoveDesktop()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` | Called to process this aborting reason.
    `void` | `finish()` | Called after all processing is done, and just before deactivating the execution.
    `AuResponse` | `getResponse()` | Returns the response representing this aborting reason.
    `boolean` | `isAborting()` | Returns whether to abort the execution.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbortByRemoveDesktop

          public AbortByRemoveDesktop()

  - ### Method Detail

    - #### isAborting

          public boolean isAborting()

      Description copied from interface: `AbortingReason`
      Returns whether to abort the execution.
      Specified by:
        `isAborting` in interface `AbortingReason`

    - #### execute

          public void execute()

      Description copied from interface: `AbortingReason`
      Called to process this aborting reason. It is called after `UiEngine` processes all events, before generating the responses to the client.

      Note: it is always called even if `AbortingReason.isAborting()` returns false.

      Note: `AbortingReason.execute()` is called before generating the responses to the client, while `AbortingReason.getResponse()` is called when generating the responses.

      The calling sequence: `AbortingReason.execute()`, `AbortingReason.getResponse()`, and then `AbortingReason.finish()`.

      Specified by:
        `execute` in interface `AbortingReason`
      See Also:
        `AbortingReason.getResponse()`

    - #### getResponse

          public AuResponse getResponse()

      Description copied from interface: `AbortingReason`
      Returns the response representing this aborting reason. It is called when `UiEngine` generates the responses to client. Actually, it is called as the last step after generating all other responses. In other words, the response returned by this method, if any, will become the last response.

      Note: don't modify the components in `AbortingReason.getResponse()`, since it is called after all other responses are generated.

      Note: it is always called even if `AbortingReason.isAborting()` returns false.

      Note: `AbortingReason.execute()` is called before generating the responses to the client, while `AbortingReason.getResponse()` is called when generating the responses.

      Specified by:
        `getResponse` in interface `AbortingReason`
      Returns:
        the response to generate, or null if no response to generate.
      See Also:
        `AbortingReason.execute()`

    - #### finish

          public void finish()

      Description copied from interface: `AbortingReason`
      Called after all processing is done, and just before deactivating the execution.

      Note: it is always called even if `AbortingReason.isAborting()` returns false.

      The calling sequence: `AbortingReason.execute()`, `AbortingReason.getResponse()`, and then `AbortingReason.finish()`.

      Specified by:
        `finish` in interface `AbortingReason`